/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hu.nir.nmail.dbm;

import hu.nir.nmail.ejb.stateless.NmailSettingManager;
import hu.nir.nmail.ejb.stateless.NmailUserLoginManager;
import hu.nir.nmail.ejb.stateless.NmailUserManager;
import hu.nir.nmail.ejb.stateless.SmtpSettingsManager;
import hu.nir.nmail.ejb.stateless.UserProcesManager;

/**
 *
 * @author attila
 */
public class DataManager {
    private NmailUserLoginManager nmailUserLoginManager;
    private NmailUserManager nmailUserManager;
    private SmtpSettingsManager smtpSettingsManager;
    private UserProcesManager userProcesManager;
    private NmailSettingManager nmailSettingManager;

    public NmailUserLoginManager getNmailUserLoginManager() {
        return nmailUserLoginManager;
    }

    public void setNmailUserLoginManager(NmailUserLoginManager nmailUserLoginManager) {
        this.nmailUserLoginManager = nmailUserLoginManager;
    }

    public NmailUserManager getNmailUserManager() {
        return nmailUserManager;
    }

    public void setNmailUserManager(NmailUserManager nmailUserManager) {
        this.nmailUserManager = nmailUserManager;
    }

    public SmtpSettingsManager getSmtpSettingsManager() {
        return smtpSettingsManager;
    }

    public void setSmtpSettingsManager(SmtpSettingsManager smtpSettingsManager) {
        this.smtpSettingsManager = smtpSettingsManager;
    }

    public UserProcesManager getUserProcesManager() {
        return userProcesManager;
    }

    public void setUserProcesManager(UserProcesManager userProcesManager) {
        this.userProcesManager = userProcesManager;
    }

    public NmailSettingManager getNmailSettingManager() {
        return nmailSettingManager;
    }

    public void setNmailSettingManager(NmailSettingManager nmailSettingManager) {
        this.nmailSettingManager = nmailSettingManager;
    }
}
